<template>
  <div id="app">
	<CompHeader 
		v-bind:title="title" 
		v-on:changeTitleEvent="handleChangeTitle"	
	/>
	<ListUser 
		v-bind:users="users" 
		v-on:eventDelete="eventDelete"
	/>
	<CompFooter v-bind:title="title" />
  </div>
</template>

<script>
	import CompHeader from './components/CompHeader' 
	import CompFooter from './components/CompFooter'
	import ListUser from './components/ListUser'
	export default {
		name: 'app',
		data () {
		return {
			title: 'Welcome to Your Vue.js App',
			users : [
				{id: 1000, name: "Nguyen Văn A", active: true},
				{id: 1001, name: "Nguyen Văn B", active: true},
				{id: 1002, name: "Nguyen Văn C", active: false},
				{id: 1003, name: "Nguyen Văn D", active: true},
				{id: 1004, name: "Nguyen Văn E", active: true},
				{id: 1005, name: "Nguyen Văn F", active: true},
			]
		}
		},
		components: {
			CompHeader,
			CompFooter,
			ListUser
		},
		methods: {
			handleChangeTitle(e){
				this.title= e.title;
			},
			eventDelete(e){
				console.log(e);
			}
		}
	}
  </script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
  max-width: 960px;
  margin: 0 auto;
}
</style>
